查看swoole版本和安装指定版本swoole

知识标签: php/mysql/apache

查看swoole版本

php --ri swoole | grep Version  


查看swoole拓展是否安装成功(php -m查看php拓展)

php -m | grep swoole  


查看php.ini文件位置:

php  --ini


pecl 安装指定版本php扩展(swoole)

1.pecl 搜索扩展包(这里以安装swoole 1.9.23 为例)

通过搜索进入扩展包页面 https://pecl.php.net/package/swoole

找到需要安装的版本 swoole-1.9.23.tgz (https://pecl.php.net/get/swoole-1.9.23.tgz)


2.pecl 安装扩展包

执行安装 pecl install https://pecl.php.net/get/swoole-1.9.23.tgz

通过 php --ri swoole 查看扩展的详细信息




沪ICP备09053415号 © 赶知识网 我的题集